/********************************
* A utiliser aprs libdhtml.js  *
********************************/
function getLayer(name)
{
  if (ns4)
    return findLayer(name, document);
  if (ie4)
    return eval('document.all.' + name);
  return null;
}
/********************************/
function showLayer(layer)
{
  if (ns4)
    layer.visibility = "show";
  if (ie4)
    layer.style.visibility = "visible";
}
/********************************/
function hideLayer(layer) 
{
  if (ns4)
    layer.visibility = "hide";
  if (ie4)
    layer.style.visibility = "hidden";
}
/********************************/
function findLayer(name, doc) 
{
  var i, layer;
  for (i = 0; i < doc.layers.length; i++) {
    layer = doc.layers[i];
    if (layer.name == name)
      return layer;
    if (layer.document.layers.length > 0)
      if ((layer = findLayer(name, layer.document)) != null)
        return layer;
  }
  return null;
}
/********************************/
function moveLayerTo(layer, x, y) 
{
  if (ns4)
    layer.moveTo(x, y);
  if (ie4) {
    layer.style.left = x;
    layer.style.top  = y;
  }
}
/********************************/
function setzIndex(layer, z) 
{
  if (ns4)
    layer.zIndex = z;
  if (ie4)
    layer.style.zIndex = z;
}
/********************************/
var dragObject = new Object();    // Create as a generic object and add some
dragObject.layer   = null;        // properties.
dragObject.offsetX = 0;
dragObject.offsetY = 0;
dragObject.inDrag  = false;

// Capture the mouse move event for the page.
if (ns4)
  document.captureEvents(Event.MOUSEMOVE);
document.onmousemove = dragUpdate;
//*****************************************************************************
// Set up event capturing for a layer.
//*****************************************************************************
function makeDraggable(layer, downHandler, upHandler) 
{  // Set up event capturing and handling.
  if (ns4)
    layer.captureEvents(Event.MOUSEDOWN | Event.MOUSEUP);
  layer.onmousedown = dragStart;
  layer.onmouseup = dragStop;
  // Save user-defined handlers.
  layer.handleMouseDown = downHandler;
  layer.handleMouseUp = upHandler;
}
//*****************************************************************************
// Event handlers for draggable layers.
//*****************************************************************************
function dragStart(e) 
{
  dragObject.layer = this;
  dragObject.inDrag = true;
  // Find offset of cursor relative to the layer's top-left corner.
  if (ns4) {
    dragObject.offsetX = e.pageX - this.pageX;
    dragObject.offsetY = e.pageY - this.pageY;
  }
  if (ie4) {
    dragObject.offsetX = event.clientX + document.body.scrollLeft - this.style.pixelLeft;
    dragObject.offsetY = event.clientY + document.body.scrollTop  - this.style.pixelTop;
  }
  // Call any user-defined event handlers.
  if (this.handleMouseDown)
    this.handleMouseDown(e);
  if (ns4)
    return true;
  if (ie4) {
    event.cancelBubble = true;
    event.returnValue = false;
  }
}
/********************************/
function dragStop(e) 
{
  dragObject.inDrag = false;
  // Call any user-defined event handlers.
  if (this.handleMouseUp)
    this.handleMouseUp(e);
  if (ns4)
    return true;
  if (ie4) {
    event.cancelBubble = true;
    event.returnValue = false;
  }
  if (ns4)
    return true;
  if (ie4) {
    event.cancelBubble = true;
    event.returnValue = false;
  }
}
/********************************/
function dragUpdate(e) 
{  var x, y;
  if (!dragObject.inDrag)
    return;
  // Move the layer relative to the cursor position.
  if (ns4) {
    x = e.pageX - dragObject.offsetX;
    y = e.pageY - dragObject.offsetY;
    moveLayerTo(dragObject.layer, x, y);
    return false;
  }
  if (ie4) {
    x = event.clientX + document.body.scrollLeft - dragObject.offsetX;
    y = event.clientY + document.body.scrollTop  - dragObject.offsetY;
    moveLayerTo(dragObject.layer, x, y);
    event.cancelBubble = true;
    event.returnValue = false;
  }
}
/********************************/